Loading...
Searching...
No Matches
ratio.h File Reference
`#include "platform.h"`
`#include "gcd.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::ratio< Num, Den >
| ratio More...
struct | etl::ratio_equal< TRatio1, TRatio2 >
| ratio_equal More...
struct | etl::ratio_not_equal< TRatio1, TRatio2 >
| ratio_not_equal More...

## Namespaces

namespace | etl

## Variables

template<intmax_t Num, intmax_t Den>
ETL_CONSTANT intmax_t | etl::ratio< Num, Den >::num
template<intmax_t Num, intmax_t Den>
ETL_CONSTANT intmax_t | etl::ratio< Num, Den >::den